package com.ruoyi.system.service.grid;

import com.ruoyi.system.domain.grid.GridWgNotice;

import java.util.List;

/**
 * 网格公告
 * @author wujm<wujm@eazytec.com>
 */
public interface GridWgNoticeService {

    /**
     * 分页查询
     * @param gridWgNotice
     * @return
     */
	List<GridWgNotice> listGridWgNotice(GridWgNotice gridWgNotice);

    /**
     * 新增
     * @param gridWgNotice
     * @return
     */
    int saveGridWgNotice(GridWgNotice gridWgNotice);

    /**
     * 根据id查询
     * @param id
     * @return
     */
    GridWgNotice getGridWgNoticeById(Long id);

    /**
     * 修改
     * @param gridWgNotice
     * @return
     */
    int updateGridWgNotice(GridWgNotice gridWgNotice);

    /**
     * 删除
     * @param ids
     * @return
     */
    int batchRemove(Long[] ids);
}
